Avro C#

Public Member Functions | Properties | List of all members
Avro.Specific.ISpecificRecord Interface Reference

Interface class for generated classes More...

Inheritance diagram for Avro.Specific.ISpecificRecord:

## Public Member Functions
object | Get (int fieldPos)
| Return the value of a field given its position in the schema. This method is not meant to be called by user code, but only by SpecificDatumReader<T> implementations. More...
void | Put (int fieldPos, object fieldValue)
| Set the value of a field given its position in the schema. This method is not meant to be called by user code, but only by SpecificDatumWriter<T> implementations. More...

## Properties
Schema | Schema`[get]`
| Schema of this instance. More...

## Detailed Description

Interface class for generated classes

## Member Function Documentation

## ◆ Get()

object Avro.Specific.ISpecificRecord.Get | ( | int | fieldPos | ) |

Return the value of a field given its position in the schema. This method is not meant to be called by user code, but only by SpecificDatumReader<T> implementations.

Parameters

  fieldPos | Position of the field.

Returns
  Value of the field.

Implemented in Avro.Specific.SpecificException.

## ◆ Put()

void Avro.Specific.ISpecificRecord.Put | ( | int | fieldPos,
|  | object | fieldValue
| ) |  |

Set the value of a field given its position in the schema. This method is not meant to be called by user code, but only by SpecificDatumWriter<T> implementations.

Parameters

  fieldPos | Position of the field.
  fieldValue | Value of the field.

Implemented in Avro.Specific.SpecificException.

## Property Documentation

## ◆ Schema

Schema Avro.Specific.ISpecificRecord.Schema
| get

Schema of this instance.

The documentation for this interface was generated from the following file:

- src/apache/main/Specific/SpecificRecord.cs